org.apache.storm.scheduler.resource.strategies.priority

## Class DefaultSchedulingPriorityStrategy

- java.lang.Object
- - org.apache.storm.scheduler.resource.strategies.priority.DefaultSchedulingPriorityStrategy

- All Implemented Interfaces:
    ISchedulingPriorityStrategy
  Direct Known Subclasses:
    FIFOSchedulingPriorityStrategy, GenericResourceAwareSchedulingPriorityStrategy

      public class DefaultSchedulingPriorityStrategy
      extends Object
      implements ISchedulingPriorityStrategy

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DefaultSchedulingPriorityStrategy.SimulatedUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSchedulingPriorityStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TopologyDetails>` | `getOrderedTopologies(ISchedulingState cluster, Map<String,User> userMap)` Prioritize the list of all topologies in the cluster.
    `protected DefaultSchedulingPriorityStrategy.SimulatedUser` | `getSimulatedUserFor(User u, ISchedulingState cluster)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSchedulingPriorityStrategy

          public DefaultSchedulingPriorityStrategy()

  - ### Method Detail

    - #### getSimulatedUserFor

          protected DefaultSchedulingPriorityStrategy.SimulatedUser getSimulatedUserFor(User u,
                                                                                        ISchedulingState cluster)

    - #### getOrderedTopologies

          public List<TopologyDetails> getOrderedTopologies(ISchedulingState cluster,
                                                            Map<String,User> userMap)

      Description copied from interface: `ISchedulingPriorityStrategy`

      Prioritize the list of all topologies in the cluster.

      Specified by:
        `getOrderedTopologies` in interface `ISchedulingPriorityStrategy`
      Returns:
        ordered list of topologies to schedule.

Copyright © 2021 The Apache Software Foundation. All rights reserved.